> For the complete documentation index, see [llms.txt](https://scorpioplay.gitbook.io/scorpio-play-casino-api-doc/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://scorpioplay.gitbook.io/scorpio-play-casino-api-doc/api-reference/openapi/v1-game-launch.md).

# /v1/game/launch

## Get a launch URL for a specific game to start playing

<mark style="color:$success;">`POST`</mark> `/v1/game/launch`

This endpoint generates a secure game launch URL for the specified player and game. The URL can be used to open the game in an iframe or new tab.

**Headers**

| Name          | Value                |
| ------------- | -------------------- |
| Authorization | `Bearer <API_TOKEN>` |
| Content-Type  | `application/json`   |
| Accept        | `application/json`   |

**Request Body**

```json
{
  "playerExternalId": "playerId_onOperatorSide",
  "providerId": 1,
  "gameCode": "vswaysdogs",
  "language": "en",
  "currency": "USD",
  "returnUrl": "https://...",
  "rtp": 0
}
```

<table><thead><tr><th width="163">Key</th><th width="112">Data Type</th><th width="342">Description</th><th>Mandatory</th></tr></thead><tbody><tr><td>playerExternalId</td><td>string</td><td>Unique player identifier on the operator’s system</td><td>Required</td></tr><tr><td>providerId</td><td>number</td><td>Unique identifier of the game provider</td><td>Required</td></tr><tr><td>gameCode</td><td>string</td><td>Unique code of the game to be launched</td><td>Required</td></tr><tr><td>language</td><td>string</td><td>Language code for the game interface (e.g., <code>en</code>)</td><td>Required</td></tr><tr><td>currency</td><td>string</td><td>Currency code used for gameplay (e.g., <code>USD</code>)</td><td>Required</td></tr><tr><td>returnUrl</td><td>string (URL)</td><td>URL to redirect the player after exiting the game</td><td>Optional</td></tr><tr><td>rtp</td><td>number</td><td>Requested RTP value for the game session (0 = Operator's Global RTP in account settings)</td><td>Required</td></tr></tbody></table>

**Response**

```json
{
  "success": true,
  "message": "OK",
  "data": {
    "gameUrl": "https://..."
  }
}
```

<table><thead><tr><th width="149">Key</th><th width="134">Data Type</th><th>Description</th></tr></thead><tbody><tr><td>success</td><td>boolean</td><td>Indicates whether the request was processed successfully</td></tr><tr><td>message</td><td>string</td><td>Result message of the request</td></tr><tr><td>data</td><td>object</td><td>Game launch response data</td></tr><tr><td>data.gameUrl</td><td>string (URL)</td><td>URL used to launch and play the game session</td></tr></tbody></table>
